<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: url_bbcode_include.php
| Author: Wooya, Edmonsur
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

//url_bbcode_callback function by Edmonsur 2013 for php v 5.5
if (!function_exists("url_bbcode_callback")) {
	    function url_bbcode_callback($url) {
if (strpos($url[0], "[url=") !== false AND filter_var($url[1] . $url[3] , FILTER_VALIDATE_URL)) {
   return "<a href='".$url[1] . $url[3]."' target='_blank' title='".$url[1] . $url[3]."'>".$url[4]."</a>";
} elseif (strpos($url[0], "[url]") !== false AND filter_var($url[1] . $url[3] , FILTER_VALIDATE_URL)) {
    return "<a href='".$url[1] . $url[3]."' target='_blank' title='".$url[1] . $url[3]."'>".$url[1] . $url[3]."</a>";
}
 }
  }
$text = preg_replace_callback("#\[url=((http|ftp|https|ftps)://)(.*?)\](.*?)\[/url\]#si", "url_bbcode_callback", $text);
$text = preg_replace_callback("#\[url\]((http|ftp|https|ftps)://)(.*?)\[/url\]#si", "url_bbcode_callback", $text);

?>
