<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: mail_bbcode_include.php
| Author: Wooya, Edmonsur
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

//mail_bbcode_callback function by Edmonsur 2013 for php v 5.5
if (!function_exists("mail_bbcode_callback")) {
	    function mail_bbcode_callback($email) {
$emailhide="";
		$a = unpack("C*", $email[1] ."@". $email[2]);
         foreach ($a as $b)
         $emailhide .= sprintf("%%%X", $b);
	if (strpos($email[0], "[mail=") !== false AND filter_var($email[1] ."@". $email[2] , FILTER_VALIDATE_EMAIL)) {
   
   return "<a href='mailto:".$emailhide."'>".$email[3]."</a>";
} elseif (strpos($email[0], "[mail]") !== false AND filter_var($email[1] ."@". $email[2] , FILTER_VALIDATE_EMAIL)) {
     
return "<a href='mailto:".$emailhide."'>"."E-mail"."</a>";
}		
	}
}

$text = preg_replace_callback('#\[mail\](.*)@(.*)\[/mail\]#is', 'mail_bbcode_callback', $text);
$text = preg_replace_callback('#\[mail=(.*)@(.*)\](.*)\[/mail\]#is', 'mail_bbcode_callback', $text);
?>